Subject: bug#20154: 25.0.50; json-encode-string is too slow for large strings

From: Ivan Shmakov <[email-masked]>
Date: Sun, 22 Mar 2015 19:15:18 +0000

>>>>> Dmitry Gutov <[email-masked]> writes:
>>>>> On 03/22/2015 06:15 PM, Ivan Shmakov wrote:

[…]

 >>> (push (substring string start l) res)
 >>> (push "\"" res)
 >>> (apply #'concat (nreverse res))))

 >> I guess you can (apply #'concat "\"" (substring …) (nreverse …))
 >> just as well, instead of pushing to the list just before getting rid
 >> of it.

 > Also good idea, but partially.  That gets rid of the initial binding
 > for res', but those (substring ...) value and quote have to go to the
 > end of the string.  We can't put them as the last arguments to
 > `apply'.

	Indeed, I’ve misunderstood the code a bit.

[…]

 >> Curiously, per my experience, the practice of Cc:-ing the
 >> subscribers tends to be frowned upon when it comes to the lists
 >> dedicated to free software.  For the reasons I do not know or
 >> understand, Emacs lists are apparently an exception, though.

 > To the best of my knowledge, debbugs only sends a copy to the bug's
 > author,

	Not at all.

 > and there's no way to subscribe.

	It’s possible to subscribe to bug-gnu-emacs@.  It’s also
	possible to subscribe to nntp://news.gmane.org/gmane.emacs.bugs/
	instead; that way only the messages requested by the user agent
	(assuming one which does support both mail /and/ news) will
	actually be transferred.  No clutter to the mailbox, too.

	Moreover, unless I be mistaken, that’s the limitation of the
	debbugs.gnu.org instance – the software itself /does/ allow for
	such subscription.

 > So that excludes Eli (although he probably subscribes to all bugs
 > anyway).

	Yes.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A